import java.io.IOException;
import java.io.PrintWriter;
import java.util.Enumeration;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class SecureServlet extends HttpServlet {

	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {

		PrintWriter w = response.getWriter();
		w.println("<h1>Attributes</h1>");
		
		Enumeration en = request.getAttributeNames();
		while(en.hasMoreElements()) {
			Object att = en.nextElement();
			w.println("<li>" + att.toString() + " (" + att.getClass().getName() + ")</li>");
		}
		
		w.println(request.getUserPrincipal());
		w.println(request.getRemoteUser());
		
	}

}
